Subject: Re: [linux-pm] Re: Storing Maintainers info around the kernel tree

From: Rene Herman <[email-masked]>
Date: Thu, 16 Aug 2007 17:50:30 +0200

On 08/16/2007 05:31 PM, Alan Stern wrote:

> Please remember that not everybody uses git.  The MAINTAINERS data 
> should be available in the kernel source itself.

It may be useful to generate a MAINTAINERS file into releases yes.

I must say though that "why?" would also be a question. I personally don't 
think there's a whole lot wrong with more and more expecting people who 
submit patches (for whom this automation is intended) to be using git. Back 
in the BK days there were lots of reasons for resisting any and all 
dependency on the source code management tool but there don't seem to be too 
many left today as far as I'm concerned.

If it's about non-developer users, I suspect it would to a fairly large 
degree be an "in theory" thing to expect that said user does want the 
information in a downloaded releases, but not in git, and not online where 
git-web could also easily display all the information right alongside the files.

But yes, sure, anything can be generated...

Rene.